Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Delete a component secret

Deletes a secret from the component.

DELETE/project/{project_id}/environment/{environment_id}/component/secret/{variable_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

variable_iduuidrequired

The unique identifier for the variable

Query parameters
component_kindcomponent_kindrequired

The kind of component

Allowed:KjobKApplicationKHelmKDatabase
component_iduuidrequired

The unique identifier for the component

Responses
204

Secret deleted successfully

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X DELETE 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/component/secret/497f6eca-6276-4993-bfeb-53cbbbba6f08?component_kind=Kjob&component_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Secret deleted successfully

Was this page helpful?